## ros-lunar-wts-driver 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(wts_driver)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  message_generation
)

find_package(Boost REQUIRED COMPONENTS system)

add_message_files(
  FILES
  Frame.msg
)

generate_messages(
  DEPENDENCIES
  std_msgs
)
    

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES wts_driver serial_comm
  CATKIN_DEPENDS roscpp std_msgs message_runtime
	DEPENDS Boost
)


include_directories(
  include
  ${catkin_INCLUDE_DIRS}
	${Boost_INCLUDE_DIRS}
)

# The WTS Driver.
add_library(wts_driver src/wts_driver.cpp src/common.cpp src/serial_comm.cpp)
target_link_libraries(wts_driver ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(wts_driver wts_driver_gencpp)

# The driver node
add_executable(wts_driver_node src/main.cpp)
target_link_libraries(wts_driver_node wts_driver ${catkin_LIBRARIES})


## Installation of targets and launch files.

install(TARGETS wts_driver wts_driver_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  PATTERN ".svn" EXCLUDE)

=== debian/changelog ===
ros-lunar-wts-driver (1.0.4-2stretch) stretch; urgency=high

  * Update install targets. Correct errors.
  * Contributors: Chittaranjan Swaminathan Srinivas

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 31 Aug 2016 22:00:00 -0000

ros-lunar-wts-driver (1.0.3-2stretch) stretch; urgency=high

  * Add install targets.
  * Contributors: Chittaranjan Swaminathan Srinivas

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 31 Aug 2016 22:00:00 -0000

ros-lunar-wts-driver (1.0.2-2stretch) stretch; urgency=high

  * Fixed some mistakes that made the build to fail

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 22 Aug 2016 22:00:00 -0000

ros-lunar-wts-driver (1.0.1-2stretch) stretch; urgency=high

  * First version
  * Contributors: Chittaranjan Srinivas Swaminathan, Chittaranjan Swaminathan Srinivas

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 16 Aug 2016 22:00:00 -0000

=== debian/control ===
Source: ros-lunar-wts-driver
Section: misc
Priority: extra
Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-message-generation, ros-lunar-roscpp, ros-lunar-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-wts-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-message-runtime, ros-lunar-roscpp, ros-lunar-std-msgs
Description: The wts_driver package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-wts-driver//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
